## Copyright (C) 2024 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} Ej8SVD (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2024-10-30

function retval = Ej8SVD (delta)
  A = [1,1,1;delta,0,0;0,delta,0;0,0,delta];
  y = [1;0;0;0];
  r = rank(A);
  [U, S, V] = svd (A);
  b = U'*y;
  Sr = S(1:r,1:r);
  br =b(1:r);
  z = zeros(3,1);
  z(1:r) = Sr\br;
  retval = V*z;
endfunction





